/**
 * $Id: PrintUsing.java,v 1.1 1999/08/21 18:26:46 yamauchi Exp $
 *     (M\pi)^2 : PrintUsing 
 *	Copyright 1999 By YAMAUCHI Hitoshi 山内 斉 
 *	@author YAMAUCHI Hitoshi 山内 斉
 *
 * get String with indicated digits
 */

package jp.ac.tohoku.is.archi.mpi2.util;

import  java.lang.Math;

public final class PrintUsing {
    final static double Log10 = Math.log(10.0);

    /**
     * 指定された桁数の整数を文字列とする．
     * 	@param maxdigits 出力する桁数
     * 	@param number	 出力する数字
     */
    public static String getDigitString(int maxdigits, int number)
    {
	if(maxdigits <= 0)
	{
	    throw new RuntimeException("maxdigits must be > 0");
	}

	int digits = (int)(Math.log((double)number) / Log10);
	int numzero = maxdigits - digits - 1;
	String ret = "";
	for(int i = 0; i < numzero; i++)
	{
	    ret += "0";
	}
	ret += String.valueOf(number);
	return(ret);
    }

    /**
     * test
     */
    public static void main(String [] args)
    {
	int [][] a = {
	    { 3,   1 },
	    { 3,  15 },
	    { 3, 123 },
	    { 5, 123 },
	    { 2, 123 },
	};

	for(int i = 0; i < a.length; i++)
	{
	    System.out.println(getDigitString(a[i][0], a[i][1]));
	}
    }
}
